routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
});
Route::get('/hotel-tarif', [App\Http\Controllers\DashboardController::class, 'index'])->name('list');
Route::get('/hotel/detail/{id}', [App\Http\Controllers\DashboardController::class, 'detail'])->name('hotel.detail');
Route::get('/list/reservasi', [App\Http\Controllers\DashboardController::class, 'list'])->name('reservasi.index');
Route::post('/reservasi', [App\Http\Controllers\DashboardController::class, 'reservasi'])->name('reservasi.store');
Route::get('data/reservasi', [App\Http\Controllers\DashboardController::class, 'getData'])->name('get.reservasi');
Route::delete('/reservasi/{id}', [App\Http\Controllers\DashboardController::class, 'destroy'])->name('reservasi.destroy');
Route::get('print/{nama}/{email}/{hp}/{in}/{out}/{kamar}/{tamu}/{id}', [App\Http\Controllers\DashboardController::class, 'print'])->name('reservasi.print');

Auth::routes();

Route::get('/home', [App\Http\Controllers\HotelController::class, 'index'])->name('home');
Route::resource('tipe', App\Http\Controllers\TipeKamarController::class);
Route::resource('kamar', App\Http\Controllers\KamarController::class);
Route::resource('hotel', App\Http\Controllers\HotelController::class);
Route::resource('nilai', App\Http\Controllers\NilaiController::class);
Route::get('data/tipe-kamar', [App\Http\Controllers\TipeKamarController::class, 'getData']);
Route::get('data/kamar', [App\Http\Controllers\KamarController::class, 'getData']);
Route::get('data/hotel', [App\Http\Controllers\HotelController::class, 'getData']);
Route::get('data/nilai', [App\Http\Controllers\NilaiController::class, 'getData']);

resources/views/admin/action/foto.blade.php
<div class="row">
@foreach($model->photos as $key => $foto)
<div class="col-12 mt-1">
    <img src="{{ asset('foto/tipe/kamar/' . $model->id . '/' . $foto->nama) }}" class="img-rounded" alt="Foto" width="150" height="90">
</div>
@endforeach
</div>

resources/views/admin/action/hotel.blade.php
<ul class="nav flex-column">
    {{-- <li class="nav-item">
        <a href="{{ route('hotel.edit', $model->id) }}" class="nav-link">
            <svg class="c-icon">
                <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-pencil') }}"></use>
            </svg> <small>Ubah</small>
        </a>
    </li> --}}
    <li class="nav-item">
        <form action="{{ route('hotel.destroy', $model->id)}}" method="post" id="hotel_delete">
            @csrf
            @method('DELETE')
            <a href="javascript:{}" onclick="return deleteFunction(this)" class="nav-link">
                <svg class="c-icon">
                    <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-trash') }}"></use>
                </svg> <small>Hapus</small>
            </a>
        </form>
    </li>
</ul>

resources/views/admin/action/jumlah.blade.php
<table class="table table-bordered table-sm">
<tr>
    <td>Kamar</td>
    <td>{{ $model->jumlah_kamar }}</td>
</tr>
<tr>
    <td>Tamu</td>
    <td>
        {{ $model->jumlah_tamu }}
    </td>
</tr>
</table>

resources/views/admin/action/kamar.blade.php
<ul class="nav flex-column">
    <li class="nav-item">
        <a href="{{ route('kamar.edit', $model->id) }}" class="nav-link">
            <svg class="c-icon">
                <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-pencil') }}"></use>
            </svg> <small>Ubah</small>
        </a>
    </li>
    <li class="nav-item">
        <form action="{{ route('kamar.destroy', $model->id)}}" method="post" id="kamar_delete">
            @csrf
            @method('DELETE')
            <a href="javascript:{}" onclick="return deleteFunction(this)" class="nav-link">
                <svg class="c-icon">
                    <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-trash') }}"></use>
                </svg> <small>Hapus</small>
            </a>
        </form>
    </li>
</ul>

resources/views/admin/action/nilai.blade.php
<ul class="nav flex-column">
    @if (!$model->nilai)
    <li class="nav-item">
        <a href="{{ route('nilai.show', $model->id) }}" class="nav-link">
            <svg class="c-icon">
                <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-pencil') }}"></use>
            </svg> <small>Buat Nilai</small>
        </a>
    </li>
    @else
    <li class="nav-item">
        <a href="{{ route('nilai.edit', $model->nilai->id) }}" class="nav-link">
            <svg class="c-icon">
                <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-pencil') }}"></use>
            </svg> <small>Ubah Nilai</small>
        </a>
    </li>
    @endif
</ul>

resources/views/admin/action/reservasi.blade.php
<ul class="nav flex-column">
    <li class="nav-item">
        <a href="{{ route('reservasi.print', [$model->nama, $model->email_tamu, $model->hp, $model->check_in, $model->check_out, $model->jumlah_kamar, $model->jumlah_tamu, $model->id_hotel]) }}" class="nav-link">
            <svg class="c-icon">
                <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-print') }}"></use>
            </svg> <small>Print</small>
        </a>
    </li>
    <li class="nav-item">
        <form action="{{ route('reservasi.destroy', $model->id)}}" method="post" id="reservasi_delete">
            @csrf
            @method('DELETE')
            <a href="javascript:{}" onclick="return deleteFunction(this)" class="nav-link">
                <svg class="c-icon">
                    <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-trash') }}"></use>
                </svg> <small>Hapus</small>
            </a>
        </form>
    </li>
</ul>

resources/views/admin/action/tanggal.blade.php
<table class="table table-bordered table-sm">
<tr>
    <td>Check In</td>
    <td>{{ $model->check_in }}</td>
</tr>
<tr>
    <td>Check Out</td>
    <td>
        {{ $model->check_out }}
    </td>
</tr>
</table>

resources/views/admin/action/tipekamar.blade.php
<ul class="nav flex-column">
    <li class="nav-item">
        <a href="{{ route('tipe.edit', $model->id) }}" class="nav-link">
            <svg class="c-icon">
                <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-pencil') }}"></use>
            </svg> <small>Ubah</small>
        </a>
    </li>
    <li class="nav-item">
        <form action="{{ route('tipe.destroy', $model->id)}}" method="post" id="tipe_kamar_delete">
            @csrf
            @method('DELETE')
            <a href="javascript:{}" onclick="return deleteFunction(this)" class="nav-link">
                <svg class="c-icon">
                    <use xlink:href="{{ asset('coreui/dist/vendors/@coreui/icons/svg/free.svg#cil-trash') }}"></use>
                </svg> <small>Hapus</small>
            </a>
        </form>
    </li>
</ul>